
#include <WiFi.h>
#include <WiFiClient.h>
#include <WebServer.h>
#include <DHT.h>
#include <time.h>

#define ssid"kofola" // WiFi SSID
#define password"123456"// WiFi password

const char* ntpServer = "pool.ntp.org";
const long  gmtOffset_sec = 3600;
const int   daylightOffset_sec = 3600;


#define DHT1PIN 2     // what pin we're connected to
#define DHT2PIN 4

#define DHT1TYPE DHT22   // DHT 11 
#define DHT2TYPE DHT22   // DHT 22 


int DG3  =0;    // hod rolet
int DG5 = 0;    // Led
int DG6  =0;    // Led
int DG7 = 0;    // Led
int DG8  =0;    // Led
int DG9  =0;    // Led
int DG10 =0;     //automat
int posuvO = 15;  //doba otevření
int posuvR =9;    //doba zavření počáteční hodnoty
int hod =0;       //jedná se o zkratku hodnota nikoliv hodina
int hod1 =0;
int hod2 =0;
int hod3 =0;
int hod4 =0;
int hod5 =0;
int hod6 =0;
int hod7 =0;
int rol1 = 0;           // roleta 1-3 stav 0 spuštěno,   1 roztaženo
int rol2 = 0;
int rol3 = 0;
int rol4 = 0;
int timerol=0;               
int pamrol1 = 0;         //pamět v ní uložena hodnota která odpovídá tomu zda roleta stažena nabo vytažena
int pamrol2 = 0;
int pamrol3 = 0;
int pamrol4 = 0;
int ovterin=0;          //pomocné hodnoty vteřin minut
int ominut=0;
int minrol=2;          // testování podmínek po dvou minutách
int dest=0;             //proměná signalizující dešt, je odvozeno od vlhkosti víc jak 87% je dešt min jak 82 už ne  
int autom=0;
int dest1=0;
int svit1=0;
int svit3=0;
int ohodin=0;
int vterin =0;
int minut =0;
int hodin =0;
int dni = 0;
int Sminut = 0;
int Shodin = 0;
int pomo=0;
int rano=0;
int vecer=0;
int blok=0;
int str=0;
int nebe1=0;
int nebe2=0;
int nebe3=0;
int hodincis;
int minutcis;   //hodnota času číslená
int vterincis;
int fcehodin=0;

float ta=0;       //teplota uvnitř
float ha=0;       //vlhkost uvnitř
float tb=0;       //teplota venku
float hb=0;       //vlhkost venku
int svit=0;      //intenzita svitu
unsigned long casfaze = 0;
unsigned long casrol = 0;
unsigned long tik = 0;
unsigned long ms = 0;
String slovo = ("OFF");
String slovo1=("OFF");
String slovo2 = ("OFF");
String slovo3=("OFF");
String radio=("OFF");
String Minut=("Min");
String Hodin= ("Hod");
String pocasi;
String stranka=("Stránka");
String minutek;  //Hodnota času slovní
String vterinek;
String hodinek;

DHT dht1(DHT1PIN, DHT1TYPE);
DHT dht2(DHT2PIN, DHT2TYPE);

WiFiClient client;

WebServer server ( 80 );

String getPage(){
if (str<1) 
{
   String page = "<html><head><meta http-equiv='content-type' content='text/html; charset=utf-8'><meta http-equiv='refresh' name='viewport' content='10'><link rel='stylesheet' href='https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css'>";
page+= "<style type='text/css'>.auto-style1 {border: margin: 10px 10px; background-color: rgb(155, 230,27); color: black; width: 95px; height: 55px; text-align: center; font-size: 16px; cursor: pointer;}</style>";
page+= "<style type='text/css'>.auto-style2 {border: margin: 10px 10px; background-color: rgb(76, 175, 80); color: white; width: 95px; height: 55px; text-align: center; font-size: 16px; cursor: pointer;}</style><title>pokus2</title>";
page+= " </head><body style='color: rgb(0, 0, 0); background-color: rgb(255, 255, 255) ";

page+= "<center><h1><span style='color: rgb(255, 255, 102);'> &nbsp;"; 
page +="<td><center><h1><span style='color: rgb(255, 255, 51);'> Domácí informátor &nbsp;&nbsp;&nbsp; Čas:&nbsp;&nbsp; "; 
if (hodin<10) {page +=  "0";};
page+=        hodin;
  page+=           ":" ;
 if (minut<10) {page +=  "0";}
  page+=        minut;
 
  page+=           ":" ;
  if (vterin<10) {page +=  "0";}
  page+=        vterin;
  page+=           "&nbsp;&nbsp;Dní:&nbsp;" ;
page += dni;
page += "</span> </h1><table> <tbody> <tr> <td>&nbsp;&nbsp;";
page += " <table style='border: 3px solid gray; text-align: center; width: 652px; height: 367px;' rules='all'> <tbody><tr>";
page += " <td style='background-color: rgb(51, 255, 255); height: 45px;' colspan='4'>";
page += " <h4 style='text-align: center; width: 628px; background-color: rgb(51, 255, 255);'><big>&nbsp;<big>METEOROLOGICKÁ STANICE</big>&nbsp;&nbsp; </big></h4></td></tr><tr>";
page += " <td style='height: 37px; background-color: rgb(255, 255, 102);' colspan='2'>Teplota uvnitř</td>";
page += " <td style='height: 37px; background-color: rgb(153, 255, 153);' colspan='2'>Teplota venku </td></tr><tr>";
page += " <td style='width: 150px; background-color: rgb(51, 51, 51); height: 110px; color: rgb(255, 255, 51);' colspan='2'><big><big> ; </big></big> <h1 style='font-size: 40px;'><big><big> ";
page += ta;
page += " °C</big></big></h1></td>";
page += " <td style='width: 150px; background-color: rgb(51, 51, 51); height: 110px; color: rgb(153, 255, 153);' colspan='2'><big><big> ; </big></big><h1 style='font-size: 40px;'><big><big>" ;
page += tb;
page += " °C </big></big></h1> <big><big> </big></big></td></tr><tr>";
page += " <td style='height: 37px; width: 160px; background-color: rgb(255, 255, 102);' colspan='2'>Vlhkost uvnitř </td>";
page += " <td style='height: 37px; width: 160px; background-color: rgb(153, 255, 153);' colspan='2'>Vlhkost venku </td></tr><tr>";
page += " <td style='height: 53px; background-color: rgb(51, 51, 51); color: yellow;' colspan='2'> ";
page += ha;
page += " % </td><td style='height: 53px; background-color: rgb(51, 51, 51); color: rgb(153, 255, 153);' colspan='2'>" ;
page += hb ;
page += "%</td> </tr><tr>";
page += " <td style='background-color: rgb(240, 254, 225);color: rgb(";
page += nebe2;
page += ",";
page += nebe2;
page += ",";
page += nebe3;
page += ") height: 30px;' colspan='4'>Intenzita osvitu &nbsp";
page += svit; 
page +=" &nbsp;&nbsp;&nbsp";
page +=  pocasi;
page +=" </td></tr></tbody></table></td><td> &nbsp;&nbsp;</td><td>&nbsp; <br>";
page += " <table style='border-left: 5px solid white; text-align: center; height: 391px; width: 102px;'><tbody><tr style='color: white;'><td style='height: 42px; width: 95px;' colspan='3'><div style='text-align: center;'>";
page += "<center style='background-color: rgb(51, 51, 255); margin-top: 4px; height: 47px; width: 99px;'><br>RÁDIO</center></div></td></tr><tr>";
page += "<td style='border-top: 3px solid gray; border-bottom: 3px solid gray; text-align: center; height: 245px; width: 95px; background-color: rgb(0, 153, 0); vertical-align: middle;'><br>";
page += "<form style='width: 100px;' action='/' method='post'>";
 if (DG9==0) { page +=           "<button  style='height:215px; width: 95px; background-color: rgb(212, 150, 18); text-align: center; color: white; font-size: 16px;' name='DG9' value='2'>Radio OFF<br>";} else
             { page +=           "<button  style='height:215px; width: 95px; background-color: rgb(160, 170, 220); text-align: center; color: white; font-size: 16px;' name='DG9' value='0'>Radio ON<br>";}

page += "</button></form> </td></tr><tr>";
page +=" <td style='width: 95px; background-color: rgb(51, 255, 255);'><div style='text-align: center;'>";
page += "<form style='height: 25px;' action='/' method='post'><button style='height: 50px; width: 68px; background-color: rgb(255, 105, 100); text-align: center; font-size: 16px;' name='DG3' value='2'>" ;
page += stranka;
page += "</button></form> </div>";
page += "</td> </tr></tbody> </table> </td></tr> </tbody></table><br>";
page += "<h6 style='color: white;'>Ing. Jarmil Jiříček V.1.5</h6>";
page += "</center></body></html>";


  
  return page; 
  //Serial.print(tb);
 // Serial.print("je to na strance");
}

else{
  
  String page ="<html><head><meta http-equiv='content-type' content='text/html; charset=utf-8'><meta http-equiv='refresh' name='viewport' content='10'><link rel='stylesheet'href='https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css'>";
page +="<style type='text/css'>.auto-style1 {border: margin: 10px 10px; background-color: rgb(155, 230,27); color: black; width: 95px; height: 55px; text-align: center; font-size: 16px; cursor: pointer;}</style>";
page +="<style type='text/css'>.auto-style2 {border: margin: 10px 10px; background-color: rgb(76, 175, 80); color: white; width: 95px; height: 55px; text-align: center; font-size: 16px; cursor: pointer;}</style>";


page +="<title>s2doma</title></head><body style='background-image: url(okno.jpg);'>";

page +="<center><h1><span style='color: rgb(255, 255, 51);'> Domácí informátor &nbsp;&nbsp;&nbsp; Čas:&nbsp;&nbsp; "; 
if (hodin<10) {page +=  "0";}
  page+=         hodinek;
  page+=           ":" ;
 if (minut<10) {page +=  "0";}
  page+=         minutek;
  page+=           ":" ;
  if (vterin<10) {page +=  "0";}
  page+=         vterinek;
  page+=           "&nbsp;&nbsp;Dní:&nbsp;" ;
  page+=          dni;
page +="</span> </h1><table><tbody><tr><td> ";
page +="<table style='border-left: 5px solid white; border-right: 1px solid white; width: 479px; height: 381px;'><tbody><tr><td style='height: 44px; width: 138px;' colspan='2'>";
page +="<center style='background-color: rgb(255, 153, 0); margin-top: 20px; height: 66px;'><br><big style='font-weight: bold;'><big>OVLÁdÁNÍ VENKOVNÍCH ROLET</big></big> </center></td></tr>";



page +="<tr><td style='border-top: 3px solid gray; border-bottom: 3px solid gray; background-color: rgb(255, 255, 51); text-align: center; height: 36px; width: 128px;'><span style='font-weight: bold;'>jednotlivé</span> </td>";
page +="<td style='height: 36px; background-color: rgb(51, 255, 255); text-align: center; font-weight: bold;'>společné";
page +="</td></tr><tr><td style='border-top: 3px solid gray; border-bottom: 3px solid gray; background-color: rgb(255, 255, 153); text-align: center; height: 280px; width: 128px;'><span style='font-weight: bold;'></span>";

 page +="           <form action='/' method='post'>";  
 if (rol1==0) { page +=               "<button type='button submit' name='DG5' value='2' class='auto-style2'>OFF"  ;} else 
              { page +=               "<button type='button submit' name='DG5' value='0' class='auto-style1'>ON"  ;}
 page +=             "</button></form>"; 
           
 if (rol2==0){ page +=           "<form action='/' method='post'><button type='button submit' name='DG6' value='2' class='auto-style2'>OFF";} else
             { page +=           "<form action='/' method='post'><button type='button submit' name='DG6' value='0' class='auto-style1'>ON";}
 page +=              "</button> </form><form action='/' method='post'>";
   
 if (rol3==0)  { page +=           "  <button type='button submit' name='DG7' value='2' class='auto-style2'>OFF"; }else
               { page +=           "  <button type='button submit' name='DG7' value='0' class='auto-style1'>ON"; }
 page +=              "</button></form>";
 page +=" </td><td style='border-top: 3px solid gray; border-left: 3px solid white; border-bottom: 3px solid gray; height: 280px; background-color: rgb(153, 255, 255); text-align: center; width: 128px;'colspan='2'><span style='font-weight: bold;'></span>";

 page +=            " <form action='/' method='POST'>";
 if (DG8==0) {page +=     "<button type='button submit' name='DG8' value='2' style='height: 125px; width: 90px; background-color: rgb(75, 190,75);color: black; text-align: center; font-size: 24px;' >OFF";} else 
             {page +=     "<button type='button submit' name='DG8' value='0' style='height: 125px; width: 90px; background-color: rgb(160, 230,23);color: white; text-align: center; font-size: 24px;' >ON";}
 
   page +=              "</button></form>";

 page +=              "</button> </form><form action='/' method='post'>";
   
 if (autom==0) { page +=           "  <button type='button submit' name='DG10' value='2' style= 'border: margin: 10px 10px; background-color: rgb(250, 175, 37); color: black; width: 90px; height: 55px; text-align: center; font-size: 16px; cursor: pointer;'>AUTO"; }else
               { page +=           "  <button type='button submit' name='DG10' value='0' style= 'border: margin: 10px 10px; background-color: rgb(252,95,65); color: white; width: 90px; height: 55px; text-align: center; font-size: 16px; cursor: pointer;'>MAN"; }
  
 page +="</button></form></td></tr></tbody></table> </td><td> &nbsp;&nbsp;</td><td> &nbsp;&nbsp;</td><td>"; 


 page +="<table style='border-left: 5px solid white; text-align: center; height: 391px; width: 102px;'><tbody><tr style='color: white;'><td style='height: 42px; width: 95px;' colspan='3'>";
 page +="<div style='text-align: center;'><center style='background-color: rgb(51, 51, 255); margin-top: 4px; height: 47px; width: 99px;'><br>RÁDIO</center></div></td></tr><tr>";


 page +="<td style='border-top: 3px solid gray; border-bottom: 3px solid gray; text-align: center; height: 245px; width: 90px; background-color: rgb(0, 153, 0); vertical-align: middle;'><br>";

 page +=           "<form style='width: 100px;' action='/' method='post'>";
 if (DG9==0) { page +=           "<button  style='height:215px; width: 95px; background-color: rgb(212, 150, 18); text-align: center; color: white; font-size: 16px;' name='DG9' value='2'>Radio OFF<br>";} else
             { page +=           "<button  style='height:215px; width: 95px; background-color: rgb(160, 170, 220); text-align: center; color: white; font-size: 16px;' name='DG9' value='0'>Radio ON<br>";}

page +=" </button></form></td></tr><tr><td style='width: 95px; background-color: rgb(51, 255, 255);'><div style='text-align: center;'>";


page +=" <form style='height: 25px;' action='/' method='post'><button style='height: 50px; width: 68px; background-color: rgb(255, 105, 100); text-align: center; font-size: 16px;'name='DG3' value='0'> "; 
page +=  stranka; 
page +=" </button></form></div> </td></tr></tbody></table>";
page +=" </td></tr></tbody></table><br><h6 style='color: black;'>Ing. Jarmil Jiříček V1.5</h6></center></body></html>";


  return page; }}


void handleRoot(){ 
      if ( server.hasArg("DG5") ) {
            nav0();
      }else if ( server.hasArg("DG6") ) {
           nav1();
      }else if ( server.hasArg("DG7") ) {
            nav2();
      }else if ( server.hasArg("DG8") ) {
            nav3();            
      }else if ( server.hasArg("DG9") ) {
            nav4();
      }else if ( server.hasArg("DG3") ) {  //návěstí zjištuje zda se zda se hodnota dg3 změnila, pokud ano spustí se příslušná funkce, platíi pro ostatní
            rolety();
      }else  if ( server.hasArg("DG10") ) {
            automat();
      }else {
            server.send ( 200, "text/html",getPage() );
      }          
}

void nav0(){              //funkce spouštěná návěstím, dle rol hodnoty se bud roztahnou nebo zatáhnou rolety manuální system

        DG5=(server.arg("DG5").toInt());
       if  (DG5==2) {
        rol1=1;
        if ((rol1==1) and (rol2==1) and (rol3==1)){DG8=2;}
       } else
       {rol1=0;
       if ((rol1==0) and (rol2==0) and (rol3==0)){DG8=0;}}
       
       server.send ( 200, "text/html", getPage() );
      }

void nav1(){

        DG6=(server.arg("DG6").toInt());
       if  (DG6==2) {
        rol2=1;
        if ((rol1==1) and (rol2==1) and (rol3==1)){DG8=2;}
       } else
       {rol2=0;
       if ((rol1==0) and (rol2==0) and (rol3==0)){DG8=0;}}
            server.send ( 200, "text/html", getPage() );
      }

void nav2(){

        DG7=(server.arg("DG7").toInt());
        if  (DG7==2) {
        rol3=1;
        if ((rol1==1) and (rol2==1) and (rol3==1)){DG8=2;}
       } else
       {rol3=0;
       if ((rol1==0) and (rol2==0) and (rol3==0)){DG8=0;}}
            server.send ( 200, "text/html", getPage() );
      }

void nav3(){

        DG8=(server.arg("DG8").toInt());
        if  (DG8==2) {
        rol1=1;
        rol2=1;
        rol3=1;
        server.send ( 200, "text/html", getPage() );
       } else
       {rol1=0;
        rol2=0;
        rol3=0;
        server.send ( 200, "text/html", getPage() );
         } }
      
    
      void nav4(){     //radio

       DG9=(server.arg("DG9").toInt());
        if (DG9==2) {
        digitalWrite(5, HIGH);
     
      server.send ( 200, "text/html", getPage() );
        } else
        {
        digitalWrite(5, LOW);
         server.send ( 200, "text/html", getPage() );
        } }


  void automat(){       //přepínání manuálua automatu jde o to aby automatika nekecala do nastavení uživatel

       DG10=(server.arg("DG10").toInt());
        if (DG10==2) {
     autom=2;
     
      server.send ( 200, "text/html", getPage() );
        } else
        {
       autom=0;
         server.send ( 200, "text/html", getPage() );
        } }

      
      
 

  void rolety(){

        DG3=(server.arg("DG3").toInt());        // pokud dg3 má hodnotu uloží se do dg3 hodnota 2....value 2
       if (DG3==2) {
           
            str=2;
          server.send ( 200, "text/html", getPage() );}
          else
          {
            str=0;
             server.send ( 200, "text/html", getPage() );}   
          }
            
            
     
void printLocalTime()
{
  struct tm timeinfo;
  if(!getLocalTime(&timeinfo)){
    Serial.println("Failed to obtain time");
    fcehodin=0;
    return;
  }
  //Serial.println(&timeinfo, "%A, %B %d %Y %H:%M:%S");
  fcehodin=1;
   hodinek = timeinfo.tm_hour;
//Serial.println(hodinek);
hodincis= hodinek.toInt();
minutek = timeinfo.tm_min;
Serial.print("svetovy cas");
Serial.print(hodincis);
Serial.print("  ");
minutcis=minutek.toInt();
vterinek = timeinfo.tm_sec;
Serial.println(minutcis);
vterincis=vterinek.toInt();
}


   
void setup() {

//pinMode( 4 ,OUTPUT);// Led
 pinMode( 5 ,OUTPUT);// Led
 pinMode( 12 ,OUTPUT);// Led
 pinMode( 13 ,OUTPUT);// Led
 pinMode( 14 ,OUTPUT);// Led
 pinMode( 15 ,OUTPUT);// Led
    Serial.begin ( 115200 );
    WiFi.mode(WIFI_STA);
    WiFi.begin ( ssid, password );
   while ( WiFi.status() != WL_CONNECTED ) {
      delay ( 500 ); Serial.print ( "." );
      }
      dht1.begin();
  dht2.begin();
      Serial.print ( "Connected to " ); Serial.println ( ssid );
      Serial.print ( "IP address: " ); Serial.println ( WiFi.localIP() );
      Serial.println ( "" ); 
      Serial.println ( "zkouska a IP adresa" ); Serial.println ( "" ); 
      Serial.print ( "Connected to " ); Serial.println ( ssid );
      Serial.print ( "IP address: " ); Serial.println ( WiFi.localIP() );
      delay(2000);

configTime(gmtOffset_sec, daylightOffset_sec, ntpServer);
  printLocalTime();

   
      server.on ( "/", handleRoot );
      server.begin();
      Serial.println ( "HTTP server started" );
     
        DG9=0;
         for (int i=0;i<20;i++){ svit = svit+(analogRead(A0));}
     svit = svit/20;
     if (svit <200) {pamrol1=1;rol1=1; pamrol2= 1; rol2=1; pamrol3 = 1; rol3=1;   DG5=2; DG6=2;DG7=2;DG8=2; } else { pamrol1=0; pamrol2= 0;  pamrol3 = 0;DG5=0; DG6=0;DG7=0;DG8=0; }
}
   
void loop() {
 
         server.handleClient();
         ms= millis();
    
  if ((ms >= tik) and ((tik > 1000) or ((tik < 1000) and (ms < 50000)))) {  //začátek musí být posunut o 50000 protože aktivace wifi zdrží program pouze na začátku
      tik=millis()+ 1000;       //zkoušeno zmenšení hodnoty milis ale nepřineslo to žádný efekt
        vterin = vterin +1;
         Serial.print(minut);
        Serial.print("   "); 
        Serial.println(hodin);
        
       if (ominut==1){            //nastavovaní minut, vterin/3 když zbytek 0 tak přičte minutu tedy po třech vteřinách přičte minutu
       if (vterin % 3 == 0){
            minut= minut+1;
           if (minut >=60){minut =0;}
         }
           if (ohodin==1){
           if (vterin % 5==0){       //po pěti vteřinách přičte hodinu
           hodin= hodin+1;
            if (hodin >=24){hodin=0;}
        }}}
        
        if ( vterin>59) {
           vterin = 1;
           minut = minut + 1;
           
       
       if (minut % 2 == 0){      // korekce, vterin/2 když zbytek 0 tak přičte sekundu tedy po dvou minutách vteřinách přičte asekundu dálepo šesti minutách níže
           vterin=vterin+1;}

        if (minut %6 == 0){
           vterin=vterin+1;
            printLocalTime();
            if ((minut != minutcis)and (fcehodin==1)){minut = minutcis;}
            if ((hodin != hodincis)and (fcehodin == 1)) {hodin=hodincis;}}
          
      
        
 if (hb>87)  {dest1=dest1+1;}
 if ((hb<=87) and (dest1> -3)){dest1=dest1-1;}
 if (dest1>4) {dest=2; dest1=1;}
 if (dest1<-2){dest1=0;dest=0;}
 if ((svit<160) and (svit >60)) {
 if ((svit<svit1) and (DG8==0)) {rano =rano+1; svit1=svit;}
 if ((svit>svit1) and (DG8==2)) {vecer = vecer+1; svit1=svit;}

if ((rano>4) and (tb>-7) and (autom==0) and (dest==0)and (DG8==0) and (svit <90)) {

            if (rol1==0) { rol1 = 1;}     //vytažení rolet
            if (rol2==0) { rol2 = 1;} 
            if (rol3==0) { rol3 = 1;} 
            DG8=2;
            vecer =0; 
}
if ((vecer>4)  and (autom==0) and (DG8==2)and (svit>110) )  {
            if (rol1==1) { rol1 = 0;}     //stažení rolet
            if (rol2==1) { rol2 = 0;} 
            if (rol3==1) { rol3 = 0;} 
            DG8=0;
            rano=0;
}}
if ((svit <40) and (autom==0) and (DG8==0)) {

            if (rol1==0) { rol1 = 1;}     //vytažení rolet
            if (rol2==0) { rol2 = 1;} 
            if (rol3==0) { rol3 = 1;} 
            DG8=2;
            vecer =0; 
}
if (((svit >200)and (autom==0) and (DG8==2) )or((svit>120) and (dest==2) and (DG8==2)and (autom==0) )) {
            if (rol1==1) { rol1 = 0;}     //stažení rolet
            if (rol2==1) { rol2 = 0;} 
            if (rol3==1) { rol3 = 0;} 
            DG8=0;
            rano=0;
}

if (svit <25) {svit1 =200;}
if (svit >350){svit1=50;}


                 
           if ( minut >59) {
           minut = 0;
           hodin = hodin + 1;
           if (hodin %2 == 0){
           vterin=vterin+1;}
           if (hodin >23) {
               hodin = 0; 
               dni ++;    // prictem den
         }}}}


        //Vybavení ROLET       
         delay(500);
         if ((rol1 != pamrol1) or (rol2 != pamrol2) or (rol3 != pamrol3) ) {    //porovnání stavu rolet v paměti a aokamžitého požadavku na polohu rolet
          casrol = millis() + 33000;
        
         if (pamrol1 == 1) {digitalWrite(14, HIGH);} else {digitalWrite (14,LOW);}    //vybyvení polohy rolet
         if (pamrol2 == 1) {digitalWrite(12, HIGH);} else {digitalWrite (12,LOW);}
         if (pamrol3 == 1) {digitalWrite(13, HIGH);} else {digitalWrite (13,LOW);}
         delay(900);
         casfaze = millis() + 29000;
         digitalWrite(15, HIGH);
         delay(800);
         pamrol1 = rol1;
         if (pamrol1 == 1) {digitalWrite(14, HIGH);} else {digitalWrite (14,LOW);}
         delay(800);
         pamrol2 = rol2;
         if (pamrol2 == 1) {digitalWrite(12, HIGH);} else {digitalWrite (12,LOW);}
         delay(800);
         pamrol3=rol3;
         if (pamrol3 == 1) {digitalWrite(13, HIGH);}  else {digitalWrite (13,LOW);}
         }
         if (millis()>casfaze){digitalWrite(15, LOW);}
         if (millis()>casrol) {digitalWrite(13,LOW);digitalWrite(14,LOW);digitalWrite(12,LOW);}

        //Neačtení sensorů
    //  Serial.println ("čtení napětí");
      svit=0;
      for (int i=0;i<20;i++){ svit = svit+(analogRead(A0));}
      svit = svit/20;

     //VZOREC PRO ŘIZENI VENKOVN9HO OSVITU
     svit3=(svit,2,700);
     nebe1=((log(svit/1.85)/0.386)*10);
     
     nebe2=map(nebe1,40,155,255,0);
     nebe3=nebe2-10;
     
        
      ha = dht1.readHumidity();
      ha=ha+8;
      ta = dht1.readTemperature();
      ta =ta-1.8;
      hb = dht2.readHumidity();
      hb = hb + 3;
      tb = dht2.readTemperature();
      tb=tb-1;


    
     

     if ((svit>500) and ( hb<80)) {pocasi="NOC";}
     if ((svit>500) and (hb>80)) {pocasi="NOC DÉŠŤ";}
     if ((hodin< 9) and(svit<500)and(svit>50) and (hb<=85)) {pocasi="RÁNO";}
     if ((hodin< 9) and(svit<500)and(svit>50) and (hb>85)) {pocasi="RÁNO DÉŠŤ";}
     if ((hodin< 9) and(svit<=50) and (hb<85)) {pocasi="RÁNO SLUNEČNO";}
     if ((hodin> 17) and(svit<500)and(svit>60) and (hb<=85)) {pocasi="VEČER";}
     if ((hodin> 17) and(svit<500)and(svit>60) and (hb>85)) {pocasi="VEČER DÉŠŤ";}
     if ((hodin>= 9)and (svit<=50)and(svit>8) and (hb<=85)) {pocasi="ZATAŽENO";}
     if ((hodin>= 9) and(svit<=60)and(svit>8) and (hb>85)) {pocasi="ZATAŽENO DÉŠŤ";}
     if ((hodin>= 9) and (svit<=8) and (hb<80)) {pocasi="SLUNEČNO";}


       
  if (isnan(ta) || isnan(ha)) {
  //  Serial.println("Failed to read from DHT #1");
  } //else {
  //  Serial.print("Humidity 1: "); 
  Serial.print(ha);
  //  Serial.print(" %\t");
  //  Serial.print("Temperature 1: "); 
  Serial.print(ta);
 //   Serial.println(" *C");
 // }
  if (isnan(tb) || isnan(hb)) {
  //  Serial.println("Failed to read from DHT #2");
    
  } // else {
   // Serial.print("Humidity 2: "); 
   Serial.print(hb);
 //   Serial.print(" %\t");
 //   Serial.print("Temperature 2: "); 
   Serial.print(tb);
 //   Serial.println(" *C");
 
}




   
         
